package org.openxma.dsl.common.formatter.locator;

import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.common.formatter.LocatorTree;

public class ComplexLocator extends SimpleLocator  {	
	
	public ComplexLocator(LocatorTree locatorTree) {
		super(locatorTree);
	}

	public void around(EObject ele) {
		this.left = ele;
		this.right = ele;
		locatorTree.addAround(this);
	}

	public void between(EObject left, EObject right) {
		this.left = left;
		this.right = right;			
		locatorTree.addBetween(this);
	}
	
	public void within(EObject ele) {
		this.left = ele;
		locatorTree.addWithin(this);
	}
}
